"use strict";
/**
 * @module frest-json
 * @preferred
 *
 * A set of JSON processing interceptors for Frest.
 */
/**
 *    Copyright 2018 Panjie Setiawan Wicaksono
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
tslib_1.__exportStar(require("./ids"), exports);
var response_1 = require("./response");
exports.responseInterceptor = response_1.default;
var request_1 = require("./request");
exports.requestInterceptor = request_1.default;
var error_1 = require("./error");
exports.errorInterceptor = error_1.default;
var interceptors_1 = require("./interceptors");
exports.interceptors = interceptors_1.default;
